---
- name: dhutty/pythonhttp
  hosts: all
  become: True
  vars:
    packages:
      - git
      - python3
  tasks:
    - name: Install software
      package:
        name: "{{ item }}"
        state: present
      with_items: "{{ packages }}"
    - name: Checkout pythonhttp repository
      git:
        repo: 'https://github.com/dhutty/pythonhttp.git'
        dest: /tmp/pythonhttp
    - name: Run pythonhttp
      shell: 'nohup python3 /tmp/pythonhttp/pythonhttpserver.py --host 0.0.0.0 --port 8081 &'
